package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.Dept;

import java.util.List;

/**
 * 部门接口
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-16
 */
public interface DeptMapper extends BaseMapper<Dept> {

    /**
     * 通过部门id，查找该部门下子孙部门id
     *
     * @param id 部门
     * @return 结果
     */
    List<String> selectAllChildListById(String id);

    /**
     * 通过部门idList，查找部门列表
     *
     * @param idList 部门id列表
     * @return 结果
     */
    List<Dept> selectListByIdList(List<String> idList);

    /**
     * 修改部门
     *
     * @param dept 部门
     * @return 结果
     */
    int update(Dept dept);

    /**
     * 删除部门
     *
     * @param id 部门
     * @return 结果
     */
    int deleteById(String id);

}
